/*
 * Copyright (c) 2014 project TAMOP-4.2.2.C-11/1/KONV-2012-0013
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
package lehurament.LiMoSense;
public class LiMoSensePair {

  double value;
  double weight;

  public LiMoSensePair(double value, double weight) {
    this.value = value;
    this.weight = weight;
  }

  public double getValue() { return value; }
  public double getWeight() { return weight; }

  public boolean equals(Object o) {
    if (o == null) return false;
    if (!(o instanceof LiMoSensePair)) return false;
    LiMoSensePair pairo = (LiMoSensePair) o;
    return (this.value==pairo.getValue() &&
           this.weight==pairo.getWeight());
  }

}
